=== debian/changelog ===
openlugaru (0~20110520.1+hge4354+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 3.9.6.
  * Vcs-Browser: Switch to cgit and https.
  * Drop transitional dummy package lugaru.
  * openlugaru.desktop: Add keywords and a comment in German.
  * Update Homepage and Source address because the project has moved to
    bitbucket.org.

 -- Markus Koschany <apo@debian.org>  Thu, 14 Jan 2016 21:26:40 +0100

openlugaru (0~20110520.1+hge4354+dfsg-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Remove libjpeg8-dev from Build-Depends (Closes: #765805)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 19 Oct 2014 10:20:02 +0200

openlugaru (0~20110520.1+hge4354+dfsg-4) unstable; urgency=low

  * Rename package to openlugaru, in order to distinguish from official Lugaru
    which is still distributed by Wolfire Games
    - add debian/patches/change-homedir-to-use-openlugaru-name.patch
  * Update Standards-Version to 3.9.4
    - Add "-b debian_source" in Vcs-Git field
  * Change to "canonical" VCS-links, ("anonscm")

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Fri, 16 Aug 2013 00:54:13 +0200

lugaru (0~20110520.1+hge4354+dfsg-3) unstable; urgency=low

  * Remove unnecessary linux-libc-dev dependency
  * dh compat level 9 for hardening build flags
  * Remove libglew1.7-dev and only use libglew-dev build-dependency
    (Closes: 675775), FTBFS

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Sun, 03 Jun 2012 12:06:05 +0200

lugaru (0~20110520.1+hge4354+dfsg-2) unstable; urgency=low

  * Rework launcher script to start windowed and with no mouse grabbing per
    default.
  * Update manual page:
    - Information regarding fullscreen and input grabbing,
    - document -h|-help|--help commandline
  * Change Arand -> Martin, same person, now with real name
  * Fix naming of 128x128 icon so it is used properly
  * Standards-Version 3.9.3
    - Update DEP-5 Format: link
  * Add unversioned library depend alternatives
    - libglu1-mesa-dev | libglu-dev
    - libglew1.5-dev | libglew-dev
    - libsdl1.2-dev | libsdl-dev
    - zlib1g-dev | libz-dev
  * Rename and refresh patches
    - Add DEP-3 tag to dont-install-data.patch
  * Build-Depends on libpng-dev, change from libpng12-dev (Closes: 662424)

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Mon, 05 Mar 2012 08:26:50 +0100

lugaru (0~20110520.1+hge4354+dfsg-1) unstable; urgency=low

  * Initial release (Closes: 626156)
  * Source for tarball taken from https://code.google.com/p/lugaru/ at
    commit e435472cb42f
  * Source has been repacked into lugaru and lugaru-data packages due to some
    of the data being non-free
  * debian/patches/0001-fixed-bad-resolution-on-first-run: commit c699faa41aaf
    from p/lugaru-experimental fixing 0x0 resolution config writeout on start

 -- Arand Nash <ienorand@gmail.com>  Mon, 30 May 2011 19:15:31 +0100
