=== debian/control ===
Source: openlugaru
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Martin Erik Werner <martinerikwerner@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               freeglut3-dev,
               imagemagick,
               libglew-dev,
               libglu1-mesa-dev | libglu-dev,
               libjpeg-dev,
               libogg-dev,
               libopenal-dev,
               libpng-dev,
               libsdl1.2-dev | libsdl-dev,
               libvorbis-dev,
               libx11-dev,
               mesa-common-dev,
               x11proto-core-dev,
               zlib1g-dev | libz-dev
Standards-Version: 3.9.6
Homepage: https://bitbucket.org/osslugaru/lugaru/wiki/Home
Vcs-Git: git://anonscm.debian.org/pkg-games/openlugaru.git -b debian_source
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/openlugaru.git

Package: openlugaru
Architecture: any
Depends: openlugaru-data, ${misc:Depends}, ${shlibs:Depends}
Replaces: lugaru (<< 0~20110520.1+hge4354-4~)
Breaks: lugaru (<< 0~20110520.1+hge4354-4~)
Description: third-person rabbit action game
 OpenLugaru is a third-person, single-player action game featuring an
 anthropomorphic rabbit as the main character. It contains two campaigns and a
 set of challenges, where the player takes on hostile rabbits and wolves using
 stealth, quick reflexes and a set of deadly weapons.
 .
 OpenLugaru is based on the free source code from the original Lugaru by
 Wolfire Games, and uses a limited subset of the original art (which has been
 released for free and/or gratis). It also includes the custom 'Temple'
 campaign by 'Slib' and some of its custom art.
