=== debian/watch ===
# Lugaru is kept in a googlecode mercurial VCS and does not have any up-to-date
# point releases, please use the get-current-source for grabbing new snapshots.
